#ifndef FORMQTTCUSETTINGS_H
#define FORMQTTCUSETTINGS_H

#include <QWidget>
#include "BaseWidget.h"
#include "DataTypeDef.h"

namespace Ui {
class FormQttcuSettings;
}

class FormQttcuSettings : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormQttcuSettings(BaseWidget *parent = nullptr);
    ~FormQttcuSettings();

    bool returnParent() override;

private:
    void initWidget();
    void refreshData();
    void updateData();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::FormQttcuSettings *ui;
    qttcu_info_t qttcu_info;
};

#endif // FORMQTTCUSETTINGS_H
